using	System;
using	System.Data;
using	MySql.Data.MySqlClient;
using	MySql.Data;



namespace	ConsoleApplication1
{
  ///	<summary>
  ///	Summary	description	for	Class1.
  ///	</summary>
  class	Class1
  {
    ///	<summary>
    private static readonly string createTable = "create table if not exists test (\n"+
                                                 "test VARCHAR(50)\n" +
                                                 ") CHARACTER SET UTF8 COLLATE utf8_bin;";
		
    private static readonly string insertTable = "Insert into test"+
                                                 " VALUES (?t);";
    ///	The	main entry point for the application.
		
    ///	</summary>
    [STAThread]
    static void	Main(string[]	args)
    {
      string connStr = "server=localhost;	database=test;uid=root;pooling=false";
      MySqlConnection	conn = new MySqlConnection(	connStr	);


      try	
      {
        conn.Open();

      }
      catch	(MySqlException	ex)	
      {
        Console.WriteLine("Error connecting	to the server: " + ex.Message	);
      }

      MySqlCommand myCommand = conn.CreateCommand();
			
      // Create table for this day's log data if not existent
      myCommand.CommandText = createTable;
      myCommand.ExecuteNonQuery();

      // Set up insert command
       myCommand.CommandText = insertTable;
       myCommand.Prepare();   // causes inserts to change null value

       string empty = null;

       for (int i=0; i < 10; i++)
       {
         myCommand.Parameters.Clear();
         myCommand.Parameters.Add (new MySqlParameter("?t", empty));
         myCommand.ExecuteNonQuery();
       }

       // If Prepare() is executed, this will fill up the test table with ten "0"s
       // If you comment Prepare() out, this will fill up the test table with ten dbnulls
       // The latter is what I intended/what the program data stream does; the former
       // seems to be a  bug      
    }
  }
}
